## sqlalchemy 1.0.8+ds1

=== debian/changelog ===
sqlalchemy (1.0.8+ds1-1ubuntu5) wily; urgency=medium

  * d/p/pymysql-replacement.patch: Just switch the default mysql dialect
    to pymysql, allowing users who really want to to use mysqldb still.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Sep 2015 17:42:08 +0100

sqlalchemy (1.0.8+ds1-1ubuntu4) wily; urgency=medium

  * debian/patches/pymysql-replacement.patch: Updated to prevent import of
    pymysql from current working directory.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Aug 2015 14:43:59 -0400

sqlalchemy (1.0.8+ds1-1ubuntu3) wily; urgency=medium

  * debian/patches/pymysql-replacement.patch: Use pymysql as drop in
    replacement for MySQLdb.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Aug 2015 16:12:52 -0400

sqlalchemy (1.0.8+ds1-1ubuntu2) wily; urgency=medium

  * debian/control, debian/README.Debian: Drop python-mysqldb in favor of
    python-pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Aug 2015 11:12:06 -0400

sqlalchemy (1.0.8+ds1-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 22:29:02 +0000

sqlalchemy (1.0.8+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 24 Jul 2015 10:15:24 +0200

sqlalchemy (1.0.7+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 22 Jul 2015 11:54:08 +0200

sqlalchemy (1.0.6+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 25 Jun 2015 20:31:55 +0200

sqlalchemy (1.0.5+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 08 Jun 2015 20:51:50 +0200

sqlalchemy (1.0.4+ds1-1) experimental; urgency=low

  * New upstream release
  * debian/copyright rewritten, now in DEP5 format
    - Files-Excluded used to remove autogenerated docs
  * debian/watch now uses pypi.debian.net redirector
  * Add debian/upstream/signing-key.asc with upstream's GPG key (used by uscan)
  * Add dh-python to Build-Depends
  * Add python-zzzeeksphinx to Build-Depends-Indep (used while building docs)
  * change_firebirds_default_dialect_to_kinterbasedb patch removed, python-fdb
    package already in Debian
  * Add python3-psycopg2, python3-mysqldb and python3-fdb to
    python3-sqlalchemy's Suggests dependency

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Jun 2015 11:14:20 +0200

=== debian/control ===
Source: sqlalchemy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
 python-setuptools (>= 0.6b3-1~), python3-setuptools,
Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1),
 python-changelog, python-sphinx-paramlinks, python-zzzeeksphinx
Standards-Version: 3.9.6
Homepage: http://www.sqlalchemy.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlalchemy/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlalchemy/trunk/
X-Python-Version: >= 2.5

Package: python-sqlalchemy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-sqlalchemy-ext
Suggests: python-sqlalchemy-doc, python-psycopg2, python-pymysql,
 python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
 python-fdb, python-pymssql
Description: SQL toolkit and Object Relational Mapper for Python
 SQLAlchemy is an SQL database abstraction library for Python.
 Its strengths are:
  * full power and flexibility of SQL. SQLAlchemy provides a full suite
    of well known enterprise-level persistence patterns, designed for
    efficient and high-performing database access, adapted into a simple
    and Pythonic domain language.
  * extremely easy to use for all the basic tasks, such as: accessing pooled
    connections, constructing SQL from Python expressions, finding object
    instances, and committing object modifications back to the database.
  * powerful enough for complicated tasks, such as: eager load a graph of
    objects and their dependencies via joins; map recursive adjacency
    structures automatically; map objects to not just tables but to any
    arbitrary join or select statement; combine multiple tables together to
    load whole sets of otherwise unrelated objects from a single result set;
    commit entire graphs of object changes in one step.
  * built to conform to what DBAs demand, including the ability to swap out
    generated SQL with hand-optimized statements, full usage of bind parameters
    for all literal values, fully transactionalized and consistent updates
    using Unit of Work.
  * modular. Different parts of SQLAlchemy can be used independently of the
    rest, including the connection pool, SQL construction, and ORM. SQLAlchemy
    is constructed in an open style that allows plenty of customization, with
    an architecture that supports custom datatypes, custom SQL extensions, and
    ORM plugins which can augment or extend mapping functionality.

Package: python-sqlalchemy-ext
Architecture: any
Depends: python-sqlalchemy (= ${source:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: SQL toolkit and Object Relational Mapper for Python - C extension
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains C coded extension accelerator for SQLAlchemy.

#Package: python-sqlalchemy-dbg
#Architecture: any
#Section: debug
#Priority: extra
#Depends: python-sqlalchemy-ext (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
#Provides: ${python:Provides}
#XB-Python-Version: ${python:Versions}
#Description: SQL toolkit and Object Relational Mapper for Python - debug
# SQLAlchemy is an SQL database abstraction library for Python.
# .
# This package contains the extension built for the Python debug interpreter.

Package: python-sqlalchemy-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Recommends: python-sqlalchemy
Conflicts: python-sqlalchemy (<= 0.3.0-1)
Description: documentation for the SQLAlchemy Python library
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the documentation for SQLAlchemy in HTML format.
 It's usable as a comprehensive reference, a user guide and a tutorial
 all-in-one.

Package: python3-sqlalchemy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-pymysql, python3-fdb
Description: SQL toolkit and Object Relational Mapper for Python 3
 SQLAlchemy is an SQL database abstraction library for Python.
 Its strengths are:
  * full power and flexibility of SQL. SQLAlchemy provides a full suite
    of well known enterprise-level persistence patterns, designed for
    efficient and high-performing database access, adapted into a simple
    and Pythonic domain language.
  * extremely easy to use for all the basic tasks, such as: accessing pooled
    connections, constructing SQL from Python expressions, finding object
    instances, and committing object modifications back to the database.
  * powerful enough for complicated tasks, such as: eager load a graph of
    objects and their dependencies via joins; map recursive adjacency
    structures automatically; map objects to not just tables but to any
    arbitrary join or select statement; combine multiple tables together to
    load whole sets of otherwise unrelated objects from a single result set;
    commit entire graphs of object changes in one step.
  * built to conform to what DBAs demand, including the ability to swap out
    generated SQL with hand-optimized statements, full usage of bind parameters
    for all literal values, fully transactionalized and consistent updates
    using Unit of Work.
  * modular. Different parts of SQLAlchemy can be used independently of the
    rest, including the connection pool, SQL construction, and ORM. SQLAlchemy
    is constructed in an open style that allows plenty of customization, with
    an architecture that supports custom datatypes, custom SQL extensions, and
    ORM plugins which can augment or extend mapping functionality.

Package: python3-sqlalchemy-ext
Architecture: any
Depends: python3-sqlalchemy (= ${source:Version}), ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: SQL toolkit and Object Relational Mapper for Python3 - C extension
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains C coded extension accelerator for SQLAlchemy.

## sqlalchemy 1.0.9+ds1

=== debian/changelog ===
sqlalchemy (1.0.9+ds1-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Sandro Tosi <morph@debian.org>  Tue, 24 Nov 2015 06:46:28 -0500

sqlalchemy (1.0.9+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Oct 2015 23:12:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
@@ -11,15 +10,15 @@
  python-changelog, python-sphinx-paramlinks, python-zzzeeksphinx
 Standards-Version: 3.9.6
 Homepage: http://www.sqlalchemy.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlalchemy/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlalchemy/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/sqlalchemy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlalchemy.git
 X-Python-Version: >= 2.5
 
 Package: python-sqlalchemy
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Recommends: python-sqlalchemy-ext
-Suggests: python-sqlalchemy-doc, python-psycopg2, python-pymysql,
+Suggests: python-sqlalchemy-doc, python-psycopg2, python-mysqldb (>= 1.2.1-p2-2),
  python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
  python-fdb, python-pymssql
 Description: SQL toolkit and Object Relational Mapper for Python
@@ -86,7 +85,7 @@
 Package: python3-sqlalchemy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-pymysql, python3-fdb
+Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-mysqldb, python3-fdb
 Description: SQL toolkit and Object Relational Mapper for Python 3
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:

## sqlalchemy 1.0.11%2Bds1

=== doc/build/requirements.txt ===
changelog>=0.3.4
sphinx-paramlinks>=0.2.2
git+https://bitbucket.org/zzzeek/zzzeeksphinx.git@HEAD#egg=zzzeeksphinx

## sqlalchemy 1.0.11+ds1

=== debian/changelog ===
sqlalchemy (1.0.11+ds1-1ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:12:04 +0000

sqlalchemy (1.0.11+ds1-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/pymysql-replacement.patch: Just switch the default mysql dialect
      to pymysql, allowing users who really want to to use mysqldb still.
    - debian/control, debian/README.Debian: Drop python-mysqldb in favor of
      python-pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jan 2016 14:53:28 -0500

sqlalchemy (1.0.11+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Dec 2015 18:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
@@ -18,7 +19,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Recommends: python-sqlalchemy-ext
-Suggests: python-sqlalchemy-doc, python-psycopg2, python-mysqldb (>= 1.2.1-p2-2),
+Suggests: python-sqlalchemy-doc, python-psycopg2, python-pymysql,
  python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
  python-fdb, python-pymssql
 Description: SQL toolkit and Object Relational Mapper for Python
@@ -85,7 +86,7 @@
 Package: python3-sqlalchemy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-mysqldb, python3-fdb
+Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-pymysql, python3-fdb
 Description: SQL toolkit and Object Relational Mapper for Python 3
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:

=== debian/watch ===
version=3
opts=uversionmangle=s/(beta|rc|a|b|c)/~$1/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/SQLAlchemy/SQLAlchemy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sqlalchemy 1.0.12+ds1

=== debian/changelog ===
sqlalchemy (1.0.12+ds1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 12:00:47 +0000

sqlalchemy (1.0.12+ds1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 3.9.7 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 28 Feb 2016 22:19:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
 Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1),
  python-changelog, python-sphinx-paramlinks, python-zzzeeksphinx
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.sqlalchemy.org/
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/sqlalchemy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlalchemy.git
@@ -19,7 +18,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Recommends: python-sqlalchemy-ext
-Suggests: python-sqlalchemy-doc, python-psycopg2, python-pymysql,
+Suggests: python-sqlalchemy-doc, python-psycopg2, python-mysqldb (>= 1.2.1-p2-2),
  python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
  python-fdb, python-pymssql
 Description: SQL toolkit and Object Relational Mapper for Python
@@ -86,7 +85,7 @@
 Package: python3-sqlalchemy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-pymysql, python3-fdb
+Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-mysqldb, python3-fdb
 Description: SQL toolkit and Object Relational Mapper for Python 3
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
p_name=python-sqlalchemy

PYVERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr '>= 3.0')
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-sqlalchemy

include /usr/share/python/python.mk
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

clean:
	dh_testdir
	dh_testroot
	rm -rf $(CURDIR)/lib/SQLAlchemy.egg-info $(CURDIR)/build/
	find . -name '*\.py[co]' -delete
	dh_clean build-docs build-stamp install-docs \
		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%) \
		$(PY3VERS:%=install-python%) $(PY3VERS:%=build-python%) \
		$(PHONYY3VERS:%=install-debug-python%) $(PY3VERS:%=build-debug-python%)

build: build-arch

build-arch: $(PYVERS:%=build-python%) $(PY3VERS:%=build-python%)

build-python%:
	python$* ./setup.py --with-cextensions build
	touch $@

build-debug-python%:
	python$*-dbg setup.py --with-cextensions build
	touch $@

build-indep: build-docs
build-docs:
	dh_testdir
	dh_installdirs -i
	cd doc/build && sphinx-build -N -q -E -b html . \
	 $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/html/
	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/html/.doctrees
	touch $@

install-docs: build-docs
	dh_testdir
	dh_installdirs -i

	cp -r doc/build/ debian/python-sqlalchemy-doc/usr/share/doc/python-sqlalchemy-doc/rst/
	cd debian/python-sqlalchemy-doc/usr/share/doc/python-sqlalchemy-doc/rst/\
		&& rm -f '*.py' '*.html' '*.png' \
	       	&& rm -rf texinputs/
	dh_link -p${p_name}-doc /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/${p_name}-doc/html/_static/jquery.js
	dh_link -p${p_name}-doc /usr/share/javascript/underscore/underscore.js \
		/usr/share/doc/${p_name}-doc/html/_static/underscore.js
	# link docs in python-sqlalchemy's dir
	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/html \
		/usr/share/doc/${p_name}/html
	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/rst \
		/usr/share/doc/${p_name}/rst
	touch $@

install: build $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)

install-python%: build
	python$* ./setup.py install --skip-build \
		--root $(call pkgdir,$*) $(py_setup_install_args)
	# move extensions to -ext binary package
	mkdir -p $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy
	mv $(call pkgdir,$*)$(call py_libdir,$*)/sqlalchemy/*so \
	   $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy/
	touch $@

binary-indep: build install install-docs
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i -p python-sqlalchemy-doc -X doc/changelog -X CHANGES
	dh_installchangelogs -i -N python-sqlalchemy-doc -X doc/changelog -X CHANGES
	dh_installdocs -i
	dh_installexamples -i
	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/doc/build \
	       $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/examples/README
	rm -f $(call pkgdir,3.X)/usr/share/doc/python3-sqlalchemy/NEWS.Debian
	find debian/python-sqlalchemy-doc/. -name '*\.py[co]' -delete
	dh_python2 -i
	dh_python3 -i
	dh_compress -i -X.py -X.js -X.html -X.inv -Xrst
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a -X doc/changelog -X CHANGES
	dh_installdocs -a
	dh_python2 -a
	dh_python3 -a
	dh_makeshlibs -a
	dh_strip -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## sqlalchemy 1.0.13+ds1

=== debian/changelog ===
sqlalchemy (1.0.13+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-Version bumped to 3.9.8 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 Jun 2016 22:53:44 +0200

## sqlalchemy 1.0.14+ds1

=== debian/changelog ===
sqlalchemy (1.0.14+ds1-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 10 Aug 2016 18:51:42 +0000

sqlalchemy (1.0.14+ds1-1) unstable; urgency=medium

  * New upstream version

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 31 Jul 2016 11:00:45 +0200

## sqlalchemy 1.0.15+ds1

=== debian/changelog ===
sqlalchemy (1.0.15+ds1-1) unstable; urgency=medium

  * New upstream version
  * Disable intersphinx module in docs' conf.py (closes: 827725)
    (it fails to fetch objects from internet anyway, but just in case...)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Sep 2016 21:44:37 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
 Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1),
  python-changelog, python-sphinx-paramlinks, python-zzzeeksphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.sqlalchemy.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/sqlalchemy.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sqlalchemy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlalchemy.git
 X-Python-Version: >= 2.5

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 build-docs:
 	dh_testdir
 	dh_installdirs -i
-	cd doc/build && sphinx-build -N -q -E -b html . \
+	cd doc/build && sphinx-build -N -E -b html . \
 	 $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/html/
 	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/html/.doctrees
 	touch $@

## sqlalchemy 1.1.9+ds1

=== doc/build/requirements.txt ===
changelog>=0.3.5
sphinx-paramlinks>=0.2.2
git+https://bitbucket.org/zzzeek/zzzeeksphinx.git@HEAD#egg=zzzeeksphinx

=== debian/changelog ===
sqlalchemy (1.1.9+ds1-0ubuntu3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:25:32 +1200

sqlalchemy (1.1.9+ds1-0ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:55:22 +1200

sqlalchemy (1.1.9+ds1-0ubuntu1) artful; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Apr 2017 21:16:09 +0100

sqlalchemy (1.1.6+ds1-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/pymysql-replacement.patch: Just switch the default mysql dialect
      to pymysql, allowing users who really want to to use mysqldb still.
    - debian/control, debian/README.Debian: Drop python-mysqldb in favor of
      python-pymysql.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Apr 2017 15:19:47 +0100

sqlalchemy (1.1.6+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 17 Mar 2017 00:24:43 +0100

sqlalchemy (1.1.5+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Jan 2017 15:50:34 +0100

sqlalchemy (1.1.4+ds1-1) unstable; urgency=medium

  * New upstream release
  * pydist files no longer require ">= 1.X~, << 1.X+1" dependency, SQLAlchemy
    is stable enough

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 17 Nov 2016 20:20:23 +0100

sqlalchemy (1.1.3+ds1-1) experimental; urgency=medium

  * New upstream version

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Nov 2016 22:07:47 +0100

sqlalchemy (1.1.2+ds1-1) experimental; urgency=medium

  * New upstream version

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 19 Oct 2016 19:12:48 +0200

sqlalchemy (1.1.1+ds1-1) experimental; urgency=medium

  * New upstream version
  * debian/rules: remove no longer needed/available (now default)
    --with-cextensions build option

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Oct 2016 16:38:16 +0200

sqlalchemy (1.0.14+ds1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/pymysql-replacement.patch: Just switch the default mysql dialect
      to pymysql, allowing users who really want to to use mysqldb still.
    - debian/control, debian/README.Debian: Drop python-mysqldb in favor of
      python-pymysql.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Aug 2016 15:18:53 +0200

sqlalchemy (1.0.12+ds1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/pymysql-replacement.patch: Just switch the default mysql dialect
      to pymysql, allowing users who really want to to use mysqldb still.
    - debian/control, debian/README.Debian: Drop python-mysqldb in favor of
      python-pymysql.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 May 2016 15:47:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
@@ -18,7 +19,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Recommends: python-sqlalchemy-ext
-Suggests: python-sqlalchemy-doc, python-psycopg2, python-mysqldb (>= 1.2.1-p2-2),
+Suggests: python-sqlalchemy-doc, python-psycopg2, python-pymysql,
  python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
  python-fdb, python-pymssql
 Description: SQL toolkit and Object Relational Mapper for Python
@@ -85,7 +86,7 @@
 Package: python3-sqlalchemy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-mysqldb, python3-fdb
+Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-pymysql, python3-fdb
 Description: SQL toolkit and Object Relational Mapper for Python 3
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:

## sqlalchemy 1.1.11%2Bds1

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
 Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1),
  python-changelog, python-sphinx-paramlinks, python-zzzeeksphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.sqlalchemy.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sqlalchemy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlalchemy.git

=== debian/rules ===
--- 
+++ 
@@ -27,11 +27,11 @@
 build-arch: $(PYVERS:%=build-python%) $(PY3VERS:%=build-python%)
 
 build-python%:
-	python$* ./setup.py --with-cextensions build
+	python$* ./setup.py build
 	touch $@
 
 build-debug-python%:
-	python$*-dbg setup.py --with-cextensions build
+	python$*-dbg setup.py build
 	touch $@
 
 build-indep: build-docs

## sqlalchemy 1.1.11+ds1

=== doc/build/requirements.txt ===
changelog>=0.3.5
sphinx-paramlinks>=0.3.3
git+https://bitbucket.org/zzzeek/zzzeeksphinx.git@HEAD#egg=zzzeeksphinx

=== debian/changelog ===
sqlalchemy (1.1.11+ds1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 20:28:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
@@ -19,7 +18,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Recommends: python-sqlalchemy-ext
-Suggests: python-sqlalchemy-doc, python-psycopg2, python-pymysql,
+Suggests: python-sqlalchemy-doc, python-psycopg2, python-mysqldb (>= 1.2.1-p2-2),
  python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
  python-fdb, python-pymssql
 Description: SQL toolkit and Object Relational Mapper for Python
@@ -86,7 +85,7 @@
 Package: python3-sqlalchemy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-pymysql, python3-fdb
+Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-mysqldb, python3-fdb
 Description: SQL toolkit and Object Relational Mapper for Python 3
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:

## sqlalchemy 1.2.5+ds1

=== debian/changelog ===
sqlalchemy (1.2.5+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

  [ Piotr Ożarowski ]
  * New upstream release
    - requires Sphinx >= 1.6 to build docs, B-D updated
  * Use Python 3 to generate Sphinx documentation
  * python3-sqlalchemy now recommends python3-sqlalchemy-ext (closes: 880126)
  * Standards-Version bumped to 4.1.3
    - package priorities updated

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Feb 2018 09:59:31 +0100

sqlalchemy (1.2.0~b1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 20 Jul 2017 15:27:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper (>= 9), dh-python,
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
-Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1),
- python-changelog, python-sphinx-paramlinks, python-zzzeeksphinx
-Standards-Version: 4.0.0
+Build-Depends-Indep: python3-sphinx (>= 1.6), python3-mako (>= 0.4.1),
+ python3-changelog, python3-sphinx-paramlinks, python3-zzzeeksphinx
+Standards-Version: 4.1.3
 Homepage: http://www.sqlalchemy.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sqlalchemy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlalchemy.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/sqlalchemy.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlalchemy
 X-Python-Version: >= 2.5
 
 Package: python-sqlalchemy
@@ -71,7 +71,6 @@
 Package: python-sqlalchemy-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Recommends: python-sqlalchemy
 Conflicts: python-sqlalchemy (<= 0.3.0-1)
@@ -85,6 +84,7 @@
 Package: python3-sqlalchemy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: python3-sqlalchemy-ext
 Suggests: python-sqlalchemy-doc, python3-psycopg2, python3-mysqldb, python3-fdb
 Description: SQL toolkit and Object Relational Mapper for Python 3
  SQLAlchemy is an SQL database abstraction library for Python.

## sqlalchemy 1.2.8+ds1

=== debian/changelog ===
sqlalchemy (1.2.8+ds1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update minimum required versions of zzzeeksphinx and changelog

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 18 Dec 2018 23:33:03 +0100

sqlalchemy (1.2.8+ds1-1) unstable; urgency=medium

  * New upstream release
  * Drop ancient X-Python-Version header from debian/control

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 12 Jun 2018 22:20:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
 Build-Depends-Indep: python3-sphinx (>= 1.6), python3-mako (>= 0.4.1),
- python3-changelog, python3-sphinx-paramlinks, python3-zzzeeksphinx
+ python3-changelog (>= 0.4.1), python3-sphinx-paramlinks, python3-zzzeeksphinx (>= 1.0.20)
 Standards-Version: 4.1.3
 Homepage: http://www.sqlalchemy.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/sqlalchemy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlalchemy
-X-Python-Version: >= 2.5
 
 Package: python-sqlalchemy
 Architecture: all

## sqlalchemy 1.2.15+ds1

=== debian/changelog ===
sqlalchemy (1.2.15+ds1-1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 07 Jan 2019 14:20:14 +0000

sqlalchemy (1.2.15+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Dec 2018 12:30:36 +0100

## sqlalchemy 1.2.18%2Bds1

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
 Build-Depends-Indep: python3-sphinx (>= 1.6), python3-mako (>= 0.4.1),
- python3-changelog (>= 0.4.1), python3-sphinx-paramlinks, python3-zzzeeksphinx (>= 1.0.20)
+ python3-changelog, python3-sphinx-paramlinks, python3-zzzeeksphinx
 Standards-Version: 4.1.3
 Homepage: http://www.sqlalchemy.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/sqlalchemy.git

## sqlalchemy 1.2.18+ds1

=== debian/changelog ===
sqlalchemy (1.2.18+ds1-2ubuntu2) eoan; urgency=medium

  * Misc fixes for compatibility with MySQL 8 (LP: #1846548):
    - d/p/mysql8-compat-reserved-words.patch: Add new reserved words for
      MySQL 8 to ensure correct auto-quoting.
    - d/p/mysql8-compat-table-schema-names-fk-relection.patch: Ensure
      case sensitive table names are correctly reporting in foreign
      key constraint reflection.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2019 10:41:58 +0100

sqlalchemy (1.2.18+ds1-2ubuntu1) eoan; urgency=medium

  * Drop recommending python2 package from the docs package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 May 2019 01:05:43 +0100

sqlalchemy (1.2.18+ds1-2) unstable; urgency=high

  * Team upload.
  * CVE-2019-7164 CVE-2019-7548: SQL injection. Apply upstream backported patch
    for this. Note: This potentially impacts applications (Closes: #922669).

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 May 2019 16:23:35 +0200

sqlalchemy (1.2.18+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 25 Feb 2019 00:01:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
@@ -71,7 +72,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
-Recommends: python-sqlalchemy
 Conflicts: python-sqlalchemy (<= 0.3.0-1)
 Description: documentation for the SQLAlchemy Python library
  SQLAlchemy is an SQL database abstraction library for Python.

## sqlalchemy 1.3.12%2Bds1

=== debian/changelog ===
sqlalchemy (1.3.12+ds1-1ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 11:04:16 +0100

sqlalchemy (1.3.12+ds1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop recommending python2 package from the docs package.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 10:03:26 -0500

sqlalchemy (1.3.12+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 31 Dec 2019 18:07:24 +0100

sqlalchemy (1.3.11+ds1-1ubuntu1) focal; urgency=medium

  [Dimitri John Ledkov]
  * Drop recommending python2 package from the docs package.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 09:15:13 -0500

sqlalchemy (1.3.11+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Dec 2019 22:30:19 +0100

sqlalchemy (1.3.10+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Piotr Ożarowski ]
  * New upstream release
  * Breaks: python-formalchemy (<< 1.4.2-2) to ensure the unusable
    python-formalchemy package gets removed (closes: #920559)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Nov 2019 21:25:39 +0100

sqlalchemy (1.3.5+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 08 Jul 2019 20:54:22 +0200

sqlalchemy (1.3.5+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 21 Jun 2019 13:35:13 +0200

sqlalchemy (1.3.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 11 Mar 2019 20:51:40 +0100

sqlalchemy (1.3.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 09 Mar 2019 11:53:44 +0100

sqlalchemy (1.3.0~b3+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 24 Feb 2019 23:57:38 +0100

sqlalchemy (1.3.0~b1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Dec 2018 19:37:00 +0100

## sqlalchemy 1.3.12+ds1

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 9), dh-python,
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
 Build-Depends-Indep: python3-sphinx (>= 1.6), python3-mako (>= 0.4.1),
- python3-changelog, python3-sphinx-paramlinks, python3-zzzeeksphinx
+ python3-changelog (>= 0.4.1), python3-sphinx-paramlinks, python3-zzzeeksphinx (>= 1.0.20)
 Standards-Version: 4.1.3
 Homepage: http://www.sqlalchemy.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/sqlalchemy.git
@@ -21,6 +21,7 @@
 Suggests: python-sqlalchemy-doc, python-psycopg2, python-mysqldb (>= 1.2.1-p2-2),
  python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
  python-fdb, python-pymssql
+Breaks: python-formalchemy (<< 1.4.2-2)
 Description: SQL toolkit and Object Relational Mapper for Python
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:

=== debian/rules ===
--- 
+++ 
@@ -38,17 +38,17 @@
 build-docs:
 	dh_testdir
 	dh_installdirs -i
-	cd doc/build && sphinx-build -N -E -b html . \
-	 $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/html/
-	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/html/.doctrees
+	cd doc/build && python3 -m sphinx -N -E -b html . \
+	 ../../debian/${p_name}-doc/usr/share/doc/${p_name}-doc/html/
+	rm -rf debian/${p_name}-doc/usr/share/doc/${p_name}-doc/html/.doctrees
 	touch $@
 
 install-docs: build-docs
 	dh_testdir
 	dh_installdirs -i
-
-	cp -r doc/build/ debian/python-sqlalchemy-doc/usr/share/doc/python-sqlalchemy-doc/rst/
-	cd debian/python-sqlalchemy-doc/usr/share/doc/python-sqlalchemy-doc/rst/\
+	
+	cp -r doc/build/ debian/${p_name}-doc/usr/share/doc/${p_name}-doc/rst/
+	cd debian/${p_name}-doc/usr/share/doc/${p_name}-doc/rst/\
 		&& rm -f '*.py' '*.html' '*.png' \
 	       	&& rm -rf texinputs/
 	dh_link -p${p_name}-doc /usr/share/javascript/jquery/jquery.js \
@@ -60,6 +60,10 @@
 		/usr/share/doc/${p_name}/html
 	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/rst \
 		/usr/share/doc/${p_name}/rst
+	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/html \
+		/usr/share/doc/python3-sqlalchemy/html
+	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/rst \
+		/usr/share/doc/python3-sqlalchemy/rst
 	touch $@
 
 install: build $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)
@@ -80,10 +84,10 @@
 	dh_installchangelogs -i -N python-sqlalchemy-doc -X doc/changelog -X CHANGES
 	dh_installdocs -i
 	dh_installexamples -i
-	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/doc/build \
-	       $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/examples/README
-	rm -f $(call pkgdir,3.X)/usr/share/doc/python3-sqlalchemy/NEWS.Debian
-	find debian/python-sqlalchemy-doc/. -name '*\.py[co]' -delete
+	rm -rf debian/${p_name}-doc/usr/share/doc/${p_name}-doc/doc/build \
+	       debian/${p_name}-doc/usr/share/doc/${p_name}-doc/examples/README
+	rm -f debian/python3-sqlalchemy/usr/share/doc/python3-sqlalchemy/NEWS.Debian
+	-find debian/python-sqlalchemy-doc/. -type d -name __pycache__ -exec rm -rf {} \;
 	dh_python2 -i
 	dh_python3 -i
 	dh_compress -i -X.py -X.js -X.html -X.inv -Xrst

## sqlalchemy 1.3.19+ds1

=== debian/changelog ===
sqlalchemy (1.3.19+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * New upstream release
    - builds with Sphinx 3.2 (closes: 963649)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Sep 2020 10:34:44 +0200

sqlalchemy (1.3.18+ds1-1) unstable; urgency=medium

  * New upstream release
  * Run wrap-and-sort
  * Drop python2 support; Closes: #938555
  * debian/control
    - bump versioned b-d on zzzeeksphinx, changelog; Closes: #955075

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jul 2020 17:16:58 -0400

sqlalchemy (1.3.15+ds1-1) unstable; urgency=medium

  * New upstream release
  * Standards-version bumped to 4.5.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 13:16:30 +0100

sqlalchemy (1.3.13+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Mar 2020 19:04:23 +0100

=== debian/control ===
Source: sqlalchemy
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all-dev (>= 3.1.2-8~),
               python3-setuptools,
Build-Depends-Indep: python3-changelog (>= 0.5.3),
                     python3-mako (>= 0.4.1),
                     python3-sphinx (>= 1.6),
                     python3-sphinx-paramlinks,
                     python3-zzzeeksphinx (>= 1.1.5),
Standards-Version: 4.5.0
Homepage: http://www.sqlalchemy.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlalchemy

Package: python-sqlalchemy-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
Recommends: python3-sqlalchemy,
Description: documentation for the SQLAlchemy Python library
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the documentation for SQLAlchemy in HTML format.
 It's usable as a comprehensive reference, a user guide and a tutorial
 all-in-one.

Package: python3-sqlalchemy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: python3-sqlalchemy-ext,
Suggests: python-sqlalchemy-doc,
          python3-fdb,
          python3-pymssql,
          python3-mysqldb,
          python3-psycopg2,
Description: SQL toolkit and Object Relational Mapper for Python 3
 SQLAlchemy is an SQL database abstraction library for Python.
 Its strengths are:
  * full power and flexibility of SQL. SQLAlchemy provides a full suite
    of well known enterprise-level persistence patterns, designed for
    efficient and high-performing database access, adapted into a simple
    and Pythonic domain language.
  * extremely easy to use for all the basic tasks, such as: accessing pooled
    connections, constructing SQL from Python expressions, finding object
    instances, and committing object modifications back to the database.
  * powerful enough for complicated tasks, such as: eager load a graph of
    objects and their dependencies via joins; map recursive adjacency
    structures automatically; map objects to not just tables but to any
    arbitrary join or select statement; combine multiple tables together to
    load whole sets of otherwise unrelated objects from a single result set;
    commit entire graphs of object changes in one step.
  * built to conform to what DBAs demand, including the ability to swap out
    generated SQL with hand-optimized statements, full usage of bind parameters
    for all literal values, fully transactionalized and consistent updates
    using Unit of Work.
  * modular. Different parts of SQLAlchemy can be used independently of the
    rest, including the connection pool, SQL construction, and ORM. SQLAlchemy
    is constructed in an open style that allows plenty of customization, with
    an architecture that supports custom datatypes, custom SQL extensions, and
    ORM plugins which can augment or extend mapping functionality.

Package: python3-sqlalchemy-ext
Architecture: any
Depends: python3-sqlalchemy (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: SQL toolkit and Object Relational Mapper for Python3 - C extension
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains C coded extension accelerator for SQLAlchemy.

## sqlalchemy 1.3.20+ds1

=== debian/changelog ===
sqlalchemy (1.3.20+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 30 Oct 2020 23:10:16 +0100
